Package org.eclipse.jface.text.contentassist

## Interface ICompletionProposalSorter

    public interface ICompletionProposalSorter

An `ICompletionProposalSorter` provides support for sorting proposals of a content assistant.

Implementors of this interface have to register this sorter with the content assist whenever needed. See `ContentAssistant.setSorter(ICompletionProposalSorter)` for more information on how to register a proposal sorter.

Since:
  3.8

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `compare​(ICompletionProposal p1, ICompletionProposal p2)` The orderings imposed by an implementation need not be consistent with equals.

### Method Detail

#### compare

    int compare​(ICompletionProposal p1,
                ICompletionProposal p2)

The orderings imposed by an implementation need not be consistent with equals.

Parameters:
  `p1` - the first proposal to be compared
  `p2` - the second proposal to be compared
Returns:
  a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second
See Also:
  `Comparator.compare(java.lang.Object, java.lang.Object)`